*** src/interfaces/libpq++/Makefile.in.orig	Fri Sep 11 16:59:31 1998
--- src/interfaces/libpq++/Makefile.in	Sat Sep 12 00:38:50 1998
***************
*** 20,25 ****
--- 20,27 ----
  
  CXX=@CXX@
  
+ PORTNAME=@PORTNAME@
+ 
  # We have to override -Werror, which makes warnings, fatal, because we
  # inevitably get the warning, "abstract declarator used as declaration"
  # because of our inclusion of c.h and we don't know how to stop that.
***************
*** 67,72 ****
--- 69,78 ----
    shlib := libpq.so.1
    LDFLAGS_SL = -G -z text
    CFLAGS += $(CFLAGS_SL)
+   ifeq ($(CXX), CC)
+     CXXFLAGS += -Xw
+     COMPILE.cc = $(CXX) $(CXXFLAGS:ll,alloca=ll) $(CPPFLAGS) $(TARGET_ARCH) -c
+   endif
  endif
  
  ifeq ($(PORTNAME), univel)
***************
*** 74,79 ****
--- 80,89 ----
    shlib := libpq.so.1
    LDFLAGS_SL = -G -z text
    CFLAGS += $(CFLAGS_SL)
+   ifeq ($(CXX), CC)
+     CXXFLAGS += -Xw
+     COMPILE.cc = $(CXX) $(CXXFLAGS:ll,alloca=ll) $(CPPFLAGS) $(TARGET_ARCH) -c
+   endif
  endif
  
  ifeq ($(PORTNAME), hpux)
*** src/template/univel.orig	Fri Sep 11 22:56:52 1998
--- src/template/univel	Fri Sep 11 22:56:56 1998
***************
*** 1,5 ****
  AROPT:crs
! CFLAGS:-Xa -v -O -K i486,host,inline,loop_unroll -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:
  SRCH_LIB:
--- 1,5 ----
  AROPT:crs
! CFLAGS:-v -O -K i486,host,inline,loop_unroll -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:
  SRCH_LIB:
*** src/template/unixware.orig	Fri Sep 11 22:57:09 1998
--- src/template/unixware	Fri Sep 11 22:57:18 1998
***************
*** 1,5 ****
  AROPT:crs
! CFLAGS:-Xa -v -O -K i486,host,inline,loop_unroll,alloca -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:/opt/include
  SRCH_LIB:/opt/lib
--- 1,5 ----
  AROPT:crs
! CFLAGS:-O -K i486,host,inline,loop_unroll,alloca -Dsvr4
  SHARED_LIB:-K PIC
  SRCH_INC:/opt/include
  SRCH_LIB:/opt/lib
